commit f3f74275b76fbdb8ef9f9b094b41ee1389f49185
Author: Sandro Tosi <morph@debian.org>
Date:   Sun Nov 1 12:30:32 2009 +0100

    uses gawk (suggesting it in mrtg-contrib) because mawk doesn't have strftime (+ small typo fix); thanks to Theodore Alexandrov for the report and patch (that needs to be adapter); Closes: #113894

Index: mrtg/contrib/mrtgrq/make-mrtg.cfg.awk
===================================================================
--- mrtg.orig/contrib/mrtgrq/make-mrtg.cfg.awk	2011-08-14 12:53:58.570876836 +0200
+++ mrtg/contrib/mrtgrq/make-mrtg.cfg.awk	2011-08-14 12:56:04.146818070 +0200
@@ -37,7 +37,7 @@
 #
  for ( k = 1; k < lines; k++ ){
 #  print array[k, 1]"\t"array[k, 3]"\t"array[k, 4] > mrtg_mrtgrq_cfg
-   print ("Target[" array[k, 1] "]: `echo | awk '{ print \"" array[k, 3]"\\n" array[k, 4]"\\n..., last check on: " strftime("%c %Z", startdate) "\\n" array[k, 1] "@cfrcta.ro\\n\"; exit }'`") > mrtg_mrtgrq_cfg
+   print ("Target[" array[k, 1] "]: `echo | gawk '{ print \"" array[k, 3]"\\n" array[k, 4]"\\n..., last check on: " strftime("%c %Z", startdate) "\\n" array[k, 1] "@cfrcta.ro\\n\"; exit }'`") > mrtg_mrtgrq_cfg
    print ("Title[" array[k, 1] "]: Diskspace Quota Report For " array[k, 1] "@cfrcta.ro") > mrtg_mrtgrq_cfg
    print ("MaxBytes[" array[k, 1] "]: " array[k, 4]) > mrtg_mrtgrq_cfg
    print ("AbsMax[" array[k, 1] "]: " int(array[k, 4]*1.1)) > mrtg_mrtgrq_cfg
@@ -49,7 +49,7 @@
    print ("   <TR><TD CLASS=\"ptb\">Maintainer:</TD><TD CLASS=\"pth\"><B>" mrtgrq_maintainer_email "</B></TD></TR>") > mrtg_mrtgrq_cfg
    print ("   <TR><TD CLASS=\"ptb\">Last Checked On:</TD><TD CLASS=\"pth\"><B>" strftime("%c %Z", startdate) "</B></TD></TR>") > mrtg_mrtgrq_cfg
    print ("  </TABLE>") > mrtg_mrtgrq_cfg
-   print ("Supress[" array[k, 1] "]: y") > mrtg_mrtgrq_cfg
+   print ("Suppress[" array[k, 1] "]: y") > mrtg_mrtgrq_cfg
    print ("LegendI[" array[k, 1] "]: used") > mrtg_mrtgrq_cfg
    print ("LegendO[" array[k, 1] "]: ") > mrtg_mrtgrq_cfg
    print ("Legend1[" array[k, 1] "]: used") > mrtg_mrtgrq_cfg
Index: mrtg/contrib/net-hosts/make-mrtg.cfg.awk
===================================================================
--- mrtg.orig/contrib/net-hosts/make-mrtg.cfg.awk	2011-08-14 12:53:58.578877086 +0200
+++ mrtg/contrib/net-hosts/make-mrtg.cfg.awk	2011-08-14 12:56:04.146818070 +0200
@@ -154,7 +154,7 @@
   print startcell imgup endcell > (mrtg_var_WorkDir "/internet.html")
   print startcell strftime("%c %Z", datew) endcell > (mrtg_var_WorkDir "/internet.html") 
   print endrow > (mrtg_var_WorkDir "/internet.html")
-  print "Target[" f_name "]: `echo | awk '{ print \"1\\n1\\n..., last changed on: " strftime("%c %Z", datew) "\\n" array[f_index, 1] "\\n\"; exit }'`" > mrtg_nethosts_cfg
+  print "Target[" f_name "]: `echo | gawk '{ print \"1\\n1\\n..., last changed on: " strftime("%c %Z", datew) "\\n" array[f_index, 1] "\\n\"; exit }'`" > mrtg_nethosts_cfg
  }
  else {
   statew = 0
@@ -190,7 +190,7 @@
   print "   <TR><TD CLASS=\"ptb\">IP:</TD><TD CLASS=\"pth\"><B>" f_name " (" array[f_index, 1] ")</B></TD></TR>" > mrtg_nethosts_cfg
   print "   <TR><TD CLASS=\"ptb\">Last Changed On:</TD><TD CLASS=\"pth\"><B>" strftime("%c %Z", datew) "</B></TD></TR>" > mrtg_nethosts_cfg
   print "  </TABLE>" > mrtg_nethosts_cfg
-  print "Supress[" f_name "]: y" > mrtg_nethosts_cfg
+  print "Suppress[" f_name "]: y" > mrtg_nethosts_cfg
   print "LegendI[" f_name "]: used" > mrtg_nethosts_cfg
   print "LegendO[" f_name "]: " > mrtg_nethosts_cfg
   print "Legend1[" f_name "]: used" > mrtg_nethosts_cfg
Index: mrtg/contrib/net-hosts/net-hosts
===================================================================
--- mrtg.orig/contrib/net-hosts/net-hosts	2011-08-14 12:53:58.586877337 +0200
+++ mrtg/contrib/net-hosts/net-hosts	2011-08-14 12:56:04.174818949 +0200
@@ -11,7 +11,7 @@
 NETHOSTST_AWK_FILE="/usr/local/mrtg/contrib/net-hosts/make-mrtg.cfg.awk"
 ##
 ##
-/bin/cat $NETHOSTST_INTERNET_PATH/internet | /bin/awk -F: '{print $1}' | /usr/sbin/fping | /bin/awk -f $NETHOSTST_AWK_FILE
+/bin/cat $NETHOSTST_INTERNET_PATH/internet | /usr/bin/gawk -F: '{print $1}' | /usr/sbin/fping | /usr/bin/gawk -f $NETHOSTST_AWK_FILE
 ##
 ##
 #####################################################################################################
